RealGroup (xmlbeans API)

org.apache.xmlbeans.impl.xb.xsdschema

## Interface RealGroup

- All Superinterfaces:
    Annotated, Group, OpenAttrs, XmlObject, XmlTokenSource
  All Known Subinterfaces:
    GroupRef, NamedGroup
  All Known Implementing Classes:
    GroupRefImpl, NamedGroupImpl, RealGroupImpl

      public interface RealGroup
      extends Group

  An XML realGroup(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<RealGroup>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `All` | `addNewAll()` Appends and returns a new empty value (as xml) as the last "all" element
    `ExplicitGroup` | `addNewChoice()` Appends and returns a new empty value (as xml) as the last "choice" element
    `ExplicitGroup` | `addNewSequence()` Appends and returns a new empty value (as xml) as the last "sequence" element
    `All[]` | `getAllArray()` Gets array of all "all" elements
    `All` | `getAllArray(int i)` Gets ith "all" element
    `List<All>` | `getAllList()` Gets a List of "all" elements
    `ExplicitGroup[]` | `getChoiceArray()` Gets array of all "choice" elements
    `ExplicitGroup` | `getChoiceArray(int i)` Gets ith "choice" element
    `List<ExplicitGroup>` | `getChoiceList()` Gets a List of "choice" elements
    `ExplicitGroup[]` | `getSequenceArray()` Gets array of all "sequence" elements
    `ExplicitGroup` | `getSequenceArray(int i)` Gets ith "sequence" element
    `List<ExplicitGroup>` | `getSequenceList()` Gets a List of "sequence" elements
    `All` | `insertNewAll(int i)` Inserts and returns a new empty value (as xml) as the ith "all" element
    `ExplicitGroup` | `insertNewChoice(int i)` Inserts and returns a new empty value (as xml) as the ith "choice" element
    `ExplicitGroup` | `insertNewSequence(int i)` Inserts and returns a new empty value (as xml) as the ith "sequence" element
    `void` | `removeAll(int i)` Removes the ith "all" element
    `void` | `removeChoice(int i)` Removes the ith "choice" element
    `void` | `removeSequence(int i)` Removes the ith "sequence" element
    `void` | `setAllArray(All[] allArray)` Sets array of all "all" element
    `void` | `setAllArray(int i, All all)` Sets ith "all" element
    `void` | `setChoiceArray(ExplicitGroup[] choiceArray)` Sets array of all "choice" element
    `void` | `setChoiceArray(int i, ExplicitGroup choice)` Sets ith "choice" element
    `void` | `setSequenceArray(ExplicitGroup[] sequenceArray)` Sets array of all "sequence" element
    `void` | `setSequenceArray(int i, ExplicitGroup sequence)` Sets ith "sequence" element
    `int` | `sizeOfAllArray()` Returns number of "all" element
    `int` | `sizeOfChoiceArray()` Returns number of "choice" element
    `int` | `sizeOfSequenceArray()` Returns number of "sequence" element

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Group

      `addNewAny, addNewElement, addNewGroup, getAnyArray, getAnyArray, getAnyList, getElementArray, getElementArray, getElementList, getGroupArray, getGroupArray, getGroupList, getMaxOccurs, getMinOccurs, getName, getRef, insertNewAny, insertNewElement, insertNewGroup, isSetMaxOccurs, isSetMinOccurs, isSetName, isSetRef, removeAny, removeElement, removeGroup, setAnyArray, setAnyArray, setElementArray, setElementArray, setGroupArray, setGroupArray, setMaxOccurs, setMinOccurs, setName, setRef, sizeOfAnyArray, sizeOfElementArray, sizeOfGroupArray, unsetMaxOccurs, unsetMinOccurs, unsetName, unsetRef, xgetMaxOccurs, xgetMinOccurs, xgetName, xgetRef, xsetMaxOccurs, xsetMinOccurs, xsetName, xsetRef`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<RealGroup> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getAllList

          List<All> getAllList()

      Gets a List of "all" elements
      Specified by:
        `getAllList` in interface `Group`

    - #### getAllArray

          All[] getAllArray()

      Gets array of all "all" elements
      Specified by:
        `getAllArray` in interface `Group`

    - #### getAllArray

          All getAllArray(int i)

      Gets ith "all" element
      Specified by:
        `getAllArray` in interface `Group`

    - #### sizeOfAllArray

          int sizeOfAllArray()

      Returns number of "all" element
      Specified by:
        `sizeOfAllArray` in interface `Group`

    - #### setAllArray

          void setAllArray(All[] allArray)

      Sets array of all "all" element
      Specified by:
        `setAllArray` in interface `Group`

    - #### setAllArray

          void setAllArray(int i,
                           All all)

      Sets ith "all" element
      Specified by:
        `setAllArray` in interface `Group`

    - #### insertNewAll

          All insertNewAll(int i)

      Inserts and returns a new empty value (as xml) as the ith "all" element
      Specified by:
        `insertNewAll` in interface `Group`

    - #### addNewAll

          All addNewAll()

      Appends and returns a new empty value (as xml) as the last "all" element
      Specified by:
        `addNewAll` in interface `Group`

    - #### removeAll

          void removeAll(int i)

      Removes the ith "all" element
      Specified by:
        `removeAll` in interface `Group`

    - #### getChoiceList

          List<ExplicitGroup> getChoiceList()

      Gets a List of "choice" elements
      Specified by:
        `getChoiceList` in interface `Group`

    - #### getChoiceArray

          ExplicitGroup[] getChoiceArray()

      Gets array of all "choice" elements
      Specified by:
        `getChoiceArray` in interface `Group`

    - #### getChoiceArray

          ExplicitGroup getChoiceArray(int i)

      Gets ith "choice" element
      Specified by:
        `getChoiceArray` in interface `Group`

    - #### sizeOfChoiceArray

          int sizeOfChoiceArray()

      Returns number of "choice" element
      Specified by:
        `sizeOfChoiceArray` in interface `Group`

    - #### setChoiceArray

          void setChoiceArray(ExplicitGroup[] choiceArray)

      Sets array of all "choice" element
      Specified by:
        `setChoiceArray` in interface `Group`

    - #### setChoiceArray

          void setChoiceArray(int i,
                              ExplicitGroup choice)

      Sets ith "choice" element
      Specified by:
        `setChoiceArray` in interface `Group`

    - #### insertNewChoice

          ExplicitGroup insertNewChoice(int i)

      Inserts and returns a new empty value (as xml) as the ith "choice" element
      Specified by:
        `insertNewChoice` in interface `Group`

    - #### addNewChoice

          ExplicitGroup addNewChoice()

      Appends and returns a new empty value (as xml) as the last "choice" element
      Specified by:
        `addNewChoice` in interface `Group`

    - #### removeChoice

          void removeChoice(int i)

      Removes the ith "choice" element
      Specified by:
        `removeChoice` in interface `Group`

    - #### getSequenceList

          List<ExplicitGroup> getSequenceList()

      Gets a List of "sequence" elements
      Specified by:
        `getSequenceList` in interface `Group`

    - #### getSequenceArray

          ExplicitGroup[] getSequenceArray()

      Gets array of all "sequence" elements
      Specified by:
        `getSequenceArray` in interface `Group`

    - #### getSequenceArray

          ExplicitGroup getSequenceArray(int i)

      Gets ith "sequence" element
      Specified by:
        `getSequenceArray` in interface `Group`

    - #### sizeOfSequenceArray

          int sizeOfSequenceArray()

      Returns number of "sequence" element
      Specified by:
        `sizeOfSequenceArray` in interface `Group`

    - #### setSequenceArray

          void setSequenceArray(ExplicitGroup[] sequenceArray)

      Sets array of all "sequence" element
      Specified by:
        `setSequenceArray` in interface `Group`

    - #### setSequenceArray

          void setSequenceArray(int i,
                                ExplicitGroup sequence)

      Sets ith "sequence" element
      Specified by:
        `setSequenceArray` in interface `Group`

    - #### insertNewSequence

          ExplicitGroup insertNewSequence(int i)

      Inserts and returns a new empty value (as xml) as the ith "sequence" element
      Specified by:
        `insertNewSequence` in interface `Group`

    - #### addNewSequence

          ExplicitGroup addNewSequence()

      Appends and returns a new empty value (as xml) as the last "sequence" element
      Specified by:
        `addNewSequence` in interface `Group`

    - #### removeSequence

          void removeSequence(int i)

      Removes the ith "sequence" element
      Specified by:
        `removeSequence` in interface `Group`